/* Main */

.site-header {
    width: 100%;
    background-color: var(--main-bg);
    position: sticky;
    top: 0;
    z-index: 9999;
    border-bottom: 1px solid var(--border-color-header);
}

.header-box {
    background-color: var(--main-bg);
    padding-top: var(--header-padding-top-bottom);
    padding-bottom: var(--header-padding-top-bottom);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.site-logo {
    display: flex;
    align-items: center;
    text-decoration: none;
    height: var(--site-logo);
    font-size: 20px;
    color: var(--main-color);
}

.header-navbar {
    list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
}

.header-nav {
    margin-left: 2px;
    font-size: var(--font-medium);
    display: flex;
    align-items: center;
}

.tool {
    background-color: var(--main-bg);
    border: 1px solid var(--border-color-header);
    text-align: center;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: var(--transition-1);
    fill: var(--main-color);
    color: var(--main-color);
    text-decoration: none;
    font-size: var(--font-medium);
}

.tool:hover {
    background-color: var(--input-bg);
    border-color: var(--border-color);
}

.header-tool-const {
    border: none;
    background: none;
    cursor: auto;
}

.header-tool-const:hover {
    background: none;
}

.header-tool:hover .toolbar-icon {
    color: var(--main-color);
}

.site-toolbar {
    width: 100%;
    position: sticky;
    top: calc(var(--site-logo) + var(--header-padding-top-bottom) + var(--header-padding-top-bottom) + 1px);
    z-index: 999;
    /* background-color: var(--body-bg); */
}

.toolbar-box {
    /* padding-top: 10px; */
}

.toolbar-line {
    padding: 6px 3px;
    background-color: var(--main-bg);
    box-shadow: var(--box-shadow-1);
    border-radius: 9px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.toolbar-line-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.toolbar-tool {
    padding: 5px 10px;
    margin: 0 3px;
    white-space: nowrap;
    text-decoration: none;
    color: var(--main-color);
}

.header-tool-item {
    width: 34px;
    height: 34px;
    padding: 0 !important;
}

.toolbar-no-border {
    border-color: transparent;
}

.toolbar-line .btn-blue:hover {
    border-color: var(--blue-2);
}

.toolbar-icon {
    margin-right: 10px;
    font-size: var(--font-medium);
    color: gray;
    transition: var(--transition-1);
}

.toolbar-text {
    font-size: 14px;
    font-weight: 600;
}

.tool-register {
    color: var(--blue-text);
}

.toolbar-link-mobile {
    display: none;
}

.toolbar-tool-selected {
    background-color: var(--button-bg);
    color: var(--main-color);
    /* font-weight: 600; */
}

.toolbar-tool-selected-icon {
    color: var(--main-color);
}

.site-main {
    padding-top: 20px;
    padding-bottom: 20px;
}

.site-footer {
    width: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
}

.footer-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    line-height: 1.5rem;
}

.footer-link {
    color: var(--blue-text);
    text-decoration: none;
    font-size: 14px;
    margin: 0 1rem;
    display: flex;
    align-items: center;
    transition: var(--transition-1);
    float: left;
}

.footer-link:hover {
    text-decoration: underline;
}

/* ///// --- Responsive (START) --- ///// */

@media(max-width: 1280px) {}

@media(max-width: 1024px) {
    .global-container {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .toolbar-desktop,
    .toolbar-text {
        display: none;
    }

    .toolbar-link-mobile,
    .toolbar-line-box {
        display: block;
    }

    .toolbar-device {
        justify-content: space-around;
    }

    .toolbar-icon {
        margin: 0;
        font-size: 18px;
    }
}


@media(max-width: 576px) {
    :root {
        --site-logo: 46px;
    }
}

@media (max-width: 300px) {
    .footer-box {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }
}

/* ///// --- Responsive (END) --- ///// */
